Package Details: vips 8.7.4-1

Git Clone URL: https://aur.archlinux.org/vips.git (read-only)
Package Base: vips
Description: A free image processing system
Upstream URL: https://libvips.github.io/libvips/
Licenses: LGPL
Submitter: Allan
Maintainer: stativ (ioquatix)
Last Packager: stativ
Votes: 30
Popularity: 0.031941
First Submitted: 2008-12-28 12:37
Last Updated: 2019-05-03 17:14

Latest Comments

1 2 Next › Last »

fauno commented on 2019-08-21 00:29

here's an upgrade

diff --git a/PKGBUILD b/PKGBUILD
index cc9826a..c741685 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,20 +3,18 @@
 # Contributor: damir <damir@archlinux.org>
 # Contributor: Michel Brabants <michel.linux@tiscali.be>
 pkgname=vips
-pkgver=8.7.4
+pkgver=8.8.1
 pkgrel=1
 pkgdesc="A free image processing system"
 arch=('i686' 'x86_64')
 license=('LGPL')
 url="https://libvips.github.io/libvips/"
-depends=('libxml2' 'fftw' 'imagemagick' 'orc' 'openexr' 'pango' 'libexif')
-optdepends=('python2: vipsprofile')
-# less used depends: 'libwebp' 'cfitsio'
-# optional makedepends: 'v4l-utils' 'python2'
-# minimal depends: 'libxml2'
-options=('!libtool')
+depends=(libjpeg-turbo libexif giflib librsvg poppler-glib libtiff
+  fftw lcms2 libpng libimagequant orc cfitsio libwebp openexr libheif
+  libgsf pango)
+makedepends=(gtk-doc)
 source=("https://github.com/libvips/libvips/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz")
-sha256sums=('ce7518a8f31b1d29a09b3d7c88e9852a5a2dcb3ee1501524ab477e433383f205')
+sha512sums=('eb8fc78716bd62b202423dabca0e1ab1dc891bae51d40bff8edfe0bf73bc0771b3db9dc7790d0f00439a635049aad9e0e09f2d7c107b1dc6848eb1e889efdfbe')

 build() {
   cd "$srcdir"/$pkgname-$pkgver

khriss commented on 2018-09-24 20:45

Please update the git link, it was working fine just a week ago, now it says "error 404 not found".

ioquatix commented on 2018-01-18 02:05

I've updated to 8.6.1 but it seems like 8.6.2 will be available soon and then 8.7 is already under development.

dotmagic commented on 2018-01-17 21:08

I really need 8.6.1 for my nodejs packages, could you please update it?

stativ commented on 2017-08-03 15:46

sorry, fixed

flyin1501 commented on 2017-08-03 15:38

Because source=("${url} ..."),
url shouldn't be 'https://jcupitt.github.io/libvips/',
but instead 'https://github.com/jcupitt/libvips';
or source=("https://github.com/jcupitt/libvips/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz")

currently download is 404 because of this.

grayich commented on 2017-08-03 11:57

==> ERROR: Failure while downloading https://jcupitt.github.io/libvips//releases/download/v8.5.7/vips-8.5.7.tar.gz

work - https://github.com/jcupitt/libvips/releases/download/v8.5.7/vips-8.5.7.tar.gz

ioquatix commented on 2017-05-28 00:08

Okay I've updated it.

smahs commented on 2017-05-27 14:07

8.5.5
https://github.com/jcupitt/libvips/releases/latest

archerie commented on 2015-11-08 13:29

Out of date https://github.com/jcupitt/libvips/blob/master/ChangeLog